## jakarta-log4j 1.1b7

=== src/java/org/apache/log4j/test/Makefile ===
 
PKG_DIR :=org/apache/log4j/test
DEPTH   :=../../../../../..
JSOURCES:= Shallow.java\
 Hello.java\
 StressNDC.java\
 StressAsyncAppender.java\
 Min.java Base64.java\
 ShippedCodeFlagTest.java\
 ConfigurationFileParsing.java\
 MultipleAppenders.java\
 PatternTest.java\
 ROFile.java\
 L7D.java\
 AsyncAppenderTest.java\
 Finalize.java\
 DefaultInit.java\
 CategoryWrapper.java\
 ShortSocketServer.java\
 DelayedLoop.java\
 SysoutConfigurator.java\
 UnitTestCategory.java\
 UnitTestCyclicBuffer.java\
 UnitTestBoundedFIFO.java\
 UnitTestOptionConverter.java\
 SocketAppenderTest.java\
 PrintProperties.java\


ifdef $(ISJDK1)
  JSOURCES:=$(JSOURCES)  UnitTestOR.java
endif

SUBDIRS :=

# include master-rule file
include $(DEPTH)/make/make.inc

## jakarta-log4j 1.1.3

=== Makefile ===

PKG_DIR :=
DEPTH   :=.
JSOURCES:=
SUBDIRS :=src

# include master-rule file
include $(DEPTH)/make/make.inc

=== make/Makefile ===

PKG_DIR :=make
DEPTH   :=..
JSOURCES:=
SUBDIRS :=test

# include master-rule file
include $(DEPTH)/make/make.inc

=== src/Makefile ===

PKG_DIR :=.
DEPTH   :=..
JSOURCES:=

SUBDIRS := java

# include master-rule file
include $(DEPTH)/make/make.inc

=== make/exercise/Makefile ===

PKG_DIR :=exercise
DEPTH   :=../..
JSOURCES:=
SUBDIRS :=echo

# include master-rule file
include $(DEPTH)/make/make.inc

=== src/java/Makefile ===

PKG_DIR :=.
DEPTH   :=../..
JSOURCES:=

SUBDIRS := org

# include master-rule file
include $(DEPTH)/make/make.inc

=== contribs/SvenReimers/gui/Makefile ===

PKG_DIR :=org/apache/log4j/gui
DEPTH   :=../../../../../..
JSOURCES:= TextPaneAppender.java\
	JListView.java\
	JTableAppender.java\

ifdef FULL
  JSOURCES:=$(JSOURCES)
endif

TSOURCES:= 


SUBDIRS := examples

ifdef FULL
  SUBDIRS := $(SUBDIRS) 
endif

# include master-rule file
include $(DEPTH)/make/make.inc

=== make/exercise/echo/Makefile ===

PKG_DIR :=exercise/echo
DEPTH   :=../../..
JSOURCES:=Echo.java

SUBDIRS :=client server

# include master-rule file
include $(DEPTH)/make/make.inc

=== src/java/org/Makefile ===

PKG_DIR :=org/
DEPTH   :=../../..
JSOURCES:=

SUBDIRS := apache

# include master-rule file
include $(DEPTH)/make/make.inc

=== contribs/SvenReimers/gui/examples/Makefile ===

PKG_DIR :=org/apache/log4j/gui/examples
DEPTH   :=../../../../../../..
JSOURCES:= TextPaneAppenderExample.java\

ifdef FULL
  JSOURCES:=$(JSOURCES)
endif

TSOURCES:= 


SUBDIRS :=

ifdef FULL
  SUBDIRS := $(SUBDIRS) 
endif

# include master-rule file
include $(DEPTH)/make/make.inc

=== make/exercise/echo/client/Makefile ===

PKG_DIR :=exercise/echo/client
DEPTH   :=../../../..
JSOURCES:=EchoClient.java
JRMI    :=
SUBDIRS :=

# include master-rule file
include $(DEPTH)/make/make.inc

=== make/exercise/echo/server/Makefile ===

PKG_DIR :=exercise/echo/server
DEPTH   :=../../../..
JSOURCES:=EchoServer.java
JRMI    :=EchoServer.java
SUBDIRS :=

# include master-rule file
include $(DEPTH)/make/make.inc

=== src/java/org/apache/Makefile ===

PKG_DIR :=org/apache/
DEPTH   :=../../../..
JSOURCES:=

SUBDIRS := log4j

# include master-rule file
include $(DEPTH)/make/make.inc

## jakarta-log4j 1.2.15

=== debian/changelog ===
jakarta-log4j (1.2.15-11) unstable; urgency=low

  * Team upload.
  * Move the patches to quilt, add a Build-Depends on quilt
  * JMX package is built and patch from Thomas Koch has been applied
    with changes (Closes: #503837)
  * Use default-jdk-doc instead of classpath-doc/openjdk-6-doc
    (Closes: #567275)
  * Remove dependencies on all java runtimes and java-common
    (Closes: #576737)
  * Source format 3.0 (quilt)
    - removed quilt as build dependency
    - removed include patchsys-quilt.mk in d/rules 

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 05 Apr 2010 16:30:15 +0200

jakarta-log4j (1.2.15-10) unstable; urgency=low

  * Fixed Maven support (Closes: #571046)
    - d/m.ignoreRules: added JMX stuff
    - pom.xml patch : javax.jms and java.mail set as optional
  * Standards-Version to 3.8.4
  * debhelper compat to 7

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 24 Feb 2010 02:33:46 +0100

jakarta-log4j (1.2.15-9) unstable; urgency=low

  * Added libjboss-jmx-java to suggests:

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 14 Jan 2010 15:51:45 +0100

jakarta-log4j (1.2.15-8) unstable; urgency=low

  * Build with jmx support 

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 12 Jan 2010 11:02:21 +0100

jakarta-log4j (1.2.15-7) unstable; urgency=low

  * Upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 11:25:57 +0200

jakarta-log4j (1.2.15-6) experimental; urgency=low

  [ Ludovic Claude ]
  * Add the Maven POM to the package
  * Add a Build-Depends dependency on maven-repo-helper
  * Move API documentation to /usr/share/doc/liblog4j1.2-java/api

  [ Torsten Werner ]
  * Fix doc-base file.

 -- Torsten Werner <twerner@debian.org>  Sun, 02 Aug 2009 21:51:13 +0200

jakarta-log4j (1.2.15-5) unstable; urgency=low

  * Add myself to Uploaders.
  * Do no longer quote the full text of the Apache-2.0 license.
  * Add missing Depends: ${misc:Depends}.
  * Change Section: java.
  * Update Standards-Version: 3.8.2 (no changes).
  * Fix spelling api -> API.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Jul 2009 18:24:10 +0200

jakarta-log4j (1.2.15-4) unstable; urgency=low

  * liblog4j-java: Depend on default-jre-headless as the preferred runtime,
    keep the existing alternatives for now.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2008 23:55:26 +0200

jakarta-log4j (1.2.15-3) unstable; urgency=medium

  * debian/control:
    + Use default-java-jdk in place of java-gcj-compat-dev.
    (Closes: #477866)
    + Switch to use Varun and Kumar's debian.org addresses.
    + Standards version is now 3.7.3 (No changes needed).
    + Use Vcs-Broswer and Vcs-Svn in place of XS-Vcs-*.
  * debian/rules:
    + Switch JAVA_HOME location to /usr/lib/jvm/default-java.
  * debian/copright:
    + Update to UTF-8, and add a copyright for the Apache Software
      Foundartion.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 27 Apr 2008 17:35:01 +0530

jakarta-log4j (1.2.15-2) unstable; urgency=low

  [ Matthias Klose ]
  * Really build the native jars, don't ship an empty package. Closes: #453941.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 02 Dec 2007 20:24:35 +0530

jakarta-log4j (1.2.15-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * New upstream release.
  * debian/compat: bumped to 5.
  * debian/watch: Added file.
  * debian/control:
    + Added Kumar Appaiah and Varun Hiremath to Uploaders.
    + Moved all build dependencencies to Build-Depends.
    + Depend on cdbs.
    + Added Homepage, XS-Vcs-Svn and XS-Vcs-Browser fields.
  * debian/liblog4j1.2-java-doc.doc-base: Specigy API doc location.
  * debian/liblog4j1.2-java.links: Removed. Functionality in debian/rules.
  * debian/orig-tar.sh: Added to ease repackaging.
  * debian/README.Debian-source: Added to explain repackaging.
  * debian/patches/01_build_fix.patch: Fix javadoc issues and compiler target versions.
  * debian/rules:
    + Move to cdbs.
    + Ensure we build native jars.
    + Ensure the generated docs are removed to prevent an FTBFS on successive builds.

  [ Varun Hiremath ]
  * Ensure upstream javadocs are removed while repackaging.

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 28 Sep 2007 15:30:56 +0530

jakarta-log4j (1.2.13-5) unstable; urgency=low

  * Rename source package. Closes: #308339.
  * Updated Standard-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Sun, 15 Jul 2007 15:35:02 +0200

jakarta-log4j1.2 (1.2.13-4) unstable; urgency=low

  * Build a liblog4j1.2-java-gcj package. Closes: #427243.
  * Updated package descriptions.
  * Removed Wolfgang and added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Sat, 30 Jun 2007 10:45:43 -0100

jakarta-log4j1.2 (1.2.13-3) unstable; urgency=low

  * Build using java-gcj-compat-dev (merged from Ubuntu).

 -- Matthias Klose <doko@debian.org>  Fri,  8 Dec 2006 10:45:35 +0100

jakarta-log4j1.2 (1.2.13-2) unstable; urgency=low

  * Added binary-arch build target (noop) (closes: #395615)

 -- Kalle Kivimaa <killer@debian.org>  Sat, 28 Oct 2006 08:30:00 +0300

jakarta-log4j1.2 (1.2.13-1) unstable; urgency=low

  * New upstream release
  * kaffe compiler transition
  * Remove build dependencies on libcrimson-java, libjaxp1.2-java (not needed)
  * Build javadoc from source
  * Updated README.Debian to what we actually build

 -- Wolfgang Baer <WBaer@gmx.de>  Wed, 18 Jan 2006 17:33:47 +0100

jakarta-log4j1.2 (1.2.12-1) unstable; urgency=low

  * New upstream release (closes: #328253)
    + Apache License 2.0 - updated debian/copyright
  * Use kaffe for building instead of jikes alone
    Fixes the FTBS (closes: #334634)
  * Remove useless parts from README.Debian
  * Standards-Version 3.6.2 (no changes)
  * Don't depend on java-common
  * Remove outdated log4j 1.1 section from description
  * Register manual with doc-base
  * Add myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Fri, 28 Oct 2005 21:52:06 +0200

jakarta-log4j1.2 (1.2.9-1) unstable; urgency=low



=== debian/control ===
Source: jakarta-log4j
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kalle Kivimaa <killer@debian.org>, Michael Koch <konqueror@gmx.de>, Varun Hiremath <varun@debian.org>, Kumar Appaiah <akumar@debian.org>, Torsten Werner <twerner@debian.org>, Thomas Koch <thomas.koch@ymc.ch>
Build-Depends: debhelper (>= 7), cdbs, default-jdk-builddep, ant, libgnujaf-java,
 libgnumail-java, maven-repo-helper, default-jdk-doc, libjboss-jmx-java
Standards-Version: 3.8.4
Homepage: http://jakarta.apache.org/log4j
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jakarta-log4j
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jakarta-log4j

Package: liblog4j1.2-java
Architecture: all
Depends: ${misc:Depends}
Recommends: liblog4j1.2-java-gcj
Suggests: libgnumail-java, libjboss-jmx-java
Description: Logging library for java
 log4j is a tool to help the programmer output log statements to a variety of
 output targets. 
 .
 It is possible to enable logging at runtime without modifying the application
 binary. The log4j package is designed so that log statements can remain in
 shipped code without incurring a high performance cost.
 .
 One of the distinctive features of log4j is the notion of hierarchical 
 loggers. Using loggers it is possible to selectively control which log 
 statements are output at arbitrary granularity.
 .
 Log4j can output to: a file, a rolling file, a database with a JDBC driver, 
 many ouput  asynchronously, a JMS Topic, a swing based logging console, 
 the NT event log, /dev/null, a SMTP server (using javamail), a socket server,
 syslog, telnet daemon and stdout.
 .
 The format of the output can be defined using one of the various layout 
 (or user defined layout) like: simple text, html, date, pattern defined and
 XML.

Package: liblog4j1.2-java-gcj
Architecture: any
Section: libs
Depends: liblog4j1.2-java (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Logging library for java (native code)
 log4j is a tool to help the programmer output log statements to a variety of
 output targets. 
 .
 It is possible to enable logging at runtime without modifying the application
 binary. The log4j package is designed so that log statements can remain in
 shipped code without incurring a high performance cost.
 .
 One of the distinctive features of log4j is the notion of hierarchical 
 loggers. Using loggers it is possible to selectively control which log 
 statements are output at arbitrary granularity.
 .
 Log4j can output to: a file, a rolling file, a database with a JDBC driver, 
 many ouput  asynchronously, a JMS Topic, a swing based logging console, 
 the NT event log, /dev/null, a SMTP server (using javamail), a socket server,
 syslog, telnet daemon and stdout.
 .
 The format of the output can be defined using one of the various layout 
 (or user defined layout) like: simple text, html, date, pattern defined and
 XML.
 .
 This package contains the natively compiled code for use by gij.

Package: liblog4j1.2-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, default-jdk-doc
Description: Documentation for liblog4j1.2-java
 The javadoc API documentation for the logging library
 from the Apache Jakarta project. The documentation is
 for the version 1.2 of the log4j API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

# Decide whether we need native jars.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
include /usr/share/gcj/debian_defaults
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs)))
  with_gcj_native := yes
endif

PACKAGE   := $(DEB_SOURCE_PACKAGE)
VERSION   := $(DEB_UPSTREAM_VERSION)
JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME  := /usr/share/ant
DEB_JARS  := gnumail activation
DEB_ANT_BUILD_TARGET := jar javadoc

clean::
	-$(RM) -r docs
	-rm -rf debian/tmp

install/liblog4j1.2-java::
	mh_installpoms -pliblog4j1.2-java
	mh_installjar -pliblog4j1.2-java -l --usj-name=log4j-1.2 pom.xml dist/lib/log4j-$(VERSION).jar

ifeq ($(with_gcj_native),yes)
install/liblog4j1.2-java-gcj:: install/liblog4j1.2-java
	dh_nativejava -pliblog4j1.2-java-gcj
endif

get-orig-source:
	-uscan --upstream-version 0
